#
# spec file for package perl-Canary-Stability
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Canary-Stability
Version:        2012
Release:        4.1
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name Canary-Stability
Summary:        Canary to Check Perl Compatibility for Schmorp's Modules
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Canary-Stability/
Source0:        http://www.cpan.org/authors/id/M/ML/MLEHMANN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module is used by Schmorp's modules during configuration stage to test
the installed perl for compatibility with his modules.

It's not, at this stage, meant as a tool for other module authors, although
in principle nothing prevents them from subscribing to the same ideas.

See the _Makefile.PL_ in Coro or AnyEvent for usage examples.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYING README

%changelog
* Thu Sep 29 2016 coolo@suse.com
- updated to 2012
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
* Wed Sep 28 2016 coolo@suse.com
- updated to 2012
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
* Tue Sep 27 2016 coolo@suse.com
- updated to 2012
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
* Mon Sep 26 2016 coolo@suse.com
- updated to 2012
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
  2012  Sun Sep 25 01:45:56 CEST 2016
  - another year where the UNFCCC had to adjust their predictions
    in the worse direction.
  - do not print the big intro blob in yellow.
* Mon Mar 14 2016 coolo@suse.com
- updated to 2011
  see /usr/share/doc/packages/perl-Canary-Stability/Changes
  2011  Sun Mar 13 04:41:48 CET 2016
  - the year the terrorists won and the free world sacrificed the free.
  - added more explanatory blurb, based on ideas by Kent Fredric.
  - colour wasn't reset in time to catch further Makefile.PL
    output in some cases.
* Sun Sep 20 2015 coolo@suse.com
- initial package 2006
  * created by cpanspec 1.78.08
